矩阵分块乘法的证明

设A是一个的矩阵,B是一个的矩阵,

,

A和B的分块矩阵分别记为 和 ,

证明.

证明:设

要证明,可以首先证AB和是同型矩阵,即证明是一个的矩阵,接着再证,可以把AB做一个与同样的分块,然后证明相同位置的分块相等。关于矩阵分块,这里有几个结论,1)处于同一行的分块,它们包含的行数相同,2)处于同一列的分块它们包含的列数相同,3)两个可以相乘的分块矩阵,左边矩阵的第i列的分块包含的列数和右边矩阵的第i行的分块包含的行数相同,左边矩阵对行分块及右边矩阵对列分块没有什么限制。

我们先定义两个函数L和H,L用于获取矩阵分块包含的列数,H用于获取矩阵分块包含的行数,令 有,同时令,有,并且有,令,有 ,令,有。因为,所以,,所以是一个的矩阵,所有与在同一行的子块包含的行数都相同,所有与在同一列的子块包含的列数都相同,所以仍然是一个分块矩阵,包含的行数为, 包含的列数为,所以是一个矩阵,即证明了和AB是同型矩阵。

接下来证明。

把AB做与同样的分块,记为

只需证明即可。

要证明,只要证明它们的同位置元素相等,也就是证明,让我们来各自求这两个元素,看它们是否相等。

先求,先求的行列号,

令为p,则,

令为q,,则

接下来求,,所以

下面看如何计算,根据矩阵的乘法规律,它是用的第u行乘以的第v列得到,

的第u行为:

的第v列为:

别忘了有,于是,

,因此。

证明完毕。

相关推荐
jktantan1 小时前
注解式脱敏:用 Jackson 的 ContextualSerializer 做字段级策略(一)
spring boot·后端·算法·spring cloud·系统架构
Dream it possible!14 小时前
LeetCode 面试经典 150_多维动态规划_交错字符串(97_C++_中等)
算法·leetcode·面试·动态规划
心抵鹊14 小时前
算法之双指针系列(一)
算法·leetcode
十二14 小时前
【洛谷题解】P1083 [NOIP 2012 提高组] 借教室(二分答案 + 差分)
数据结构·c++·算法·蓝桥杯
小此方15 小时前
[算法实战论:动态规划]回文串问题的dp解法,回文串问题的母题,以及以此为基础的派生题
算法·动态规划
Pniubi16 小时前
力扣560.和为k的子数组
算法·leetcode·职场和发展
D e re k ZH16 小时前
C++ 从零入门(一):基础语法与程序结构
数据结构·c++·算法
Pniubi17 小时前
力扣438.找到字符串中所有字母异位词
算法·leetcode·职场和发展
東隅已逝,桑榆非晚19 小时前
算法6. 双指针法-查找总价格为目标的两个商品
c++·学习·算法
Eyfcom19 小时前
〖物联网终端实战 01〗UWB 室内高精度定位:仓储 AGV 与人员的厘米级轨迹追踪
物联网·算法·物流系统·快递系统·跨境物流快递系统·物联网终端实战